GET /api/v3/flag/meter/{meterId}/hierarchy

Checks whether any flags exist on a meter or its bills

FlagInMeterHierarchyV3 Permissions: FlaggedItems (View)
Use this endpoint to determine if a meter or any of its bills are flagged. Void bills are excluded from the check.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
meterId The unique numeric identifier of the meter to check integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

SingleBoolean
Property Description Type
value boolean
Example Response application/json
{  "value": false
}